
C o Include file for Stretch Program

C	Command line

	Character*240 Str_cmd_line
	Common /Char/ Str_cmd_line

C	Buckets

	Parameter Str$k_max_buckets = 4000
	Parameter Str$k_max_stack = 8

	Real Str_buckets(Str$k_max_stack,0:Str$k_max_buckets)
	Integer Str_minval(Str$k_max_stack), Str_stackcnt
	Integer Str_bucket_cnt(Str$k_max_stack,0:Str$k_max_buckets)
	Integer Str_bucket_begin(2), Str_first_bucket
	Integer Str_last_bucket
	Integer Str_earliest(2), Str_latest(2)
	Integer Str_pagelength

	Common Str_buckets
	Common Str_minval, Str_stackcnt
	Common Str_bucket_cnt
	Common Str_bucket_begin, Str_first_bucket
	Common Str_last_bucket
	Common Str_earliest, Str_latest
	Common Str_pagelength
	
C	Qualifiers

	Parameter Str$k_outwidth = 132

	Integer Str_log, Str_before(2), Str_since(2), Str_interval(2)
	Logical Str_hours(0:23), Str_squeeze, Str_normalize, Str_bias
	Logical Str_avg_present, Str_max_present, Str_stack
	Logical Str_days(0:6), Str_day_qual
	Integer Str_avg(2), Str_stack_title_len(Str$k_max_stack)
	Real Str_max

	Common Str_log, Str_before, Str_since, Str_interval
	Common Str_hours, Str_squeeze, Str_normalize, Str_bias
	Common Str_avg_present, Str_max_present, Str_stack
	Common Str_days, Str_day_qual
	Common Str_avg, Str_stack_title_len
	Common Str_max

	Character*80 Str_title
	Character*20 Str_stack_title(Str$k_max_stack)
	Common /Char/ Str_title, Str_stack_title

C	Graph

	Parameter Str$k_barlen = 100

	Integer Str_linenum, Str_pagenum
	Common Str_linenum, Str_pagenum

C	Graph line structure

	Structure /Str_barline_struc/
	  Union
	  Map
	    Union
	    Map
	      Character*15 Date
	      Character B1 /' '/
	      Character*4 Day /' '/
	    End Map
	    Map
	      Character*20 Stack_title
	    End Map
	    End Union
	    Character B2 /' '/
	    Character*(Str$k_barlen + 1) Bar /' '/
	    Character Overflow /' '/
	    Character B3 /' '/
	    Character*9 Val /' '/
	  End Map
	  Map
	    Character*132 Bar_char
	  End Map
	  End Union
	End Structure

	Logical Str_graphing
	Common Str_graphing

	Integer Str_xlabel_len
	Common Str_xlabel_len

	Character*(Str$k_barlen + 11) Str_header
	Character*(Str$k_barlen + 1) Str_divider, Str_stars, Str_dashes
	Character*(Str$k_barlen + 1) Str_xlabel
	Common /Char/ Str_header, Str_divider, Str_stars, Str_dashes
	Common /Char/ Str_xlabel

C	Files

	Character*200 Str_outfile
	Common /Char/ Str_outfile

	Parameter Str$k_infile_unit = 1
	Parameter Str$k_outfile_unit = 2
